package com.yingxin.springcloudconsumer.controller;

import com.yingxin.springcloudconsumer.entity.User;
import com.yingxin.springcloudconsumer.service.HelloService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class RestApi {

//    @Autowired
//    private TestService service;
//
//    @GetMapping("/test")
//    public String test(){
//        return service.hello1();
//    }
//
//    @GetMapping("/test2")
//    public String test2(){
//        return service.hello2();
//    }
    @Autowired
    private HelloService helloService;
//    @Autowired
//    private HelloService2 helloService2;

    @GetMapping("/hello1")
    public String testHello1() {
        return helloService.hello1();
    }

//    @GetMapping("/hello2")
//    public String testHello2() {
//        return helloService2.hello2();
//    }

    @GetMapping("user")
    public User userConsumer() {
        return helloService.getUser();
    }

    @GetMapping("users")
    public List<User> usersConsumer() {
        return helloService.getUsers();
    }

}
